/**
 * CommunicationFunctionType2.java
 *
 * File generated from the medication2::CommunicationFunctionType2 uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration CommunicationFunctionType2.
 *
 * 
 */

@XmlType(name = "CommunicationFunctionType")
@XmlEnum
@XmlRootElement(name = "CommunicationFunctionType2")
public enum CommunicationFunctionType2 {
	@XmlEnumValue("RCV")
	RCV("RCV"),
	@XmlEnumValue("RSP")
	RSP("RSP"),
	@XmlEnumValue("SND")
	SND("SND");
	
	private final String value;

    CommunicationFunctionType2(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }
    
    public String getValue() {
        return value;
    }
    
    public static CommunicationFunctionType2 fromValue(String v) {
        for (CommunicationFunctionType2 c: CommunicationFunctionType2.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}
